package com.link.microservice;

import com.alibaba.fastjson.JSONObject;
import com.link.microservice.config.LinkFeignClientConfig;
import java.util.Map;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(
   name = "link-base",
   path = "/link/dataTaskBase",
   configuration = {LinkFeignClientConfig.class}
)
public interface DataTaskBaseClient {
   @PostMapping({"/insert"})
   Map<String, Object> insert(JSONObject jsonObject);

   @PostMapping({"/update"})
   Map<String, Object> update(JSONObject jsonObject);

   @PostMapping({"/queryById"})
   Map<String, Object> queryById(JSONObject jsonObject);
}
